#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define tarball_version 2.0

%define rel 1

Summary:        KDevelop-PG-Qt
Name:           kdevelop-pg-qt
Version:        2.0.0
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Development/Other
Url:            https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{tarball_version}.tar.xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0

%description 
KDevelop-PG-Qt is a parser generator written in readable source-code and
generating readable source-code. Its syntax was inspirated by AntLR. It
implements the visitor-pattern and uses the Qt library. That is why it
is ideal to be used in Qt-/KDE-based applications like KDevelop.

%files
%doc AUTHORS README
%{_kf5_bindir}/kdev-pg-qt

#--------------------------------------------------------------------

%package        devel
Summary:        KDevelop-PG-Qt development files
Group:          Development/Other
Requires:       %name = %version

%description    devel
This package contains development files of %name.

%files devel
%{_includedir}/%{name}
%{_kf5_libdir}/cmake/KDevelop-PG-Qt

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{tarball_version}
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build


%changelog
* Fri Aug 26 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1048974
- new version: 2.0.0 final

* Mon Feb 15 2016 daviddavid <daviddavid> 1.90.92-1.mga6
+ Revision: 961131
- new version: 1.90.92
- update Source URL

* Mon Feb 15 2016 umeabot <umeabot> 1.9.90-2.mga6
+ Revision: 960825
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 fwang <fwang> 1.9.90-1.mga6
+ Revision: 896277
- br qt5

  + neoclust <neoclust>
    - New version 1.9.90

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 742207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 681011
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 fwang <fwang> 1.0.0-3.mga4
+ Revision: 507326
- add upstream patch to fix build with bison3

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 356053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 204233
- update file list
- update file list
- new version 1.0.0

* Mon Jan 23 2012 fwang <fwang> 0.9.82-1.mga2
+ Revision: 200319
- new version 0.9.82

* Fri May 13 2011 mikala <mikala> 0.9.5-1.mga1
+ Revision: 97843
- Remove buildroot
- imported package kdevelop-pg-qt


* Wed Apr 06 2011 Funda Wang <fwang@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 651048
- new version 0.9.5

* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 0.9.0-3mdv2011.0
+ Revision: 625864
- rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-2mdv2011.0
+ Revision: 606260
- rebuild

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 0.9.0-1mdv2010.1
+ Revision: 538490
- import kdevelop-pg-qt


